## Read File

**post** `/api/v1/retrieval/files/read`

Read the parsed text content of a specific file.

### Query Parameters

- `organization_id: optional string`

- `project_id: optional string`

### Cookie Parameters

- `session: optional string`

### Body Parameters

- `file_id: string`

  ID of the file to read.

- `index_id: string`

  ID of the index the file belongs to.

- `max_length: optional number`

  Maximum number of characters to read from the offset.

- `offset: optional number`

  Starting character offset.

### Returns

- `content: string`

  Parsed text content of the file.

### Example

```http
curl https://api.cloud.llamaindex.ai/api/v1/retrieval/files/read \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY" \
    -d '{
          "file_id": "file_id",
          "index_id": "idx-abc123"
        }'
```

#### Response

```json
{
  "content": "content"
}
```
